Bug 245731 - diskdump documentation confusing for shared swap/dump devices
diskdump documentation confusing for shared swap/dump devices
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: diskdumputils (Show other bugs)
4.5
All Linux
low Severity low
: ---
: ---
Assigned To: Takao Indoh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-26 07:33 EDT by Bryn M. Reeves
Modified: 2013-08-05 23:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0684
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:35:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch clarifying swap usage & fixing typo (swappoff) (760 bytes, patch)
2007-06-26 07:33 EDT, Bryn M. Reeves
no flags Details | Diff

  None (edit)
Description Bryn M. Reeves 2007-06-26 07:33:52 EDT
Description of problem:
The diskdumputils README has a lengthy section on formatting the device for
diskdump use, including the following paragraph:

    When you see the above message but want to format them as dump-dedicated
    devices, follow the instructions below.
    First, disable the swap partition with swappoff, or unmount the partition
    with umount.  Then, run the command below.

     # diskdumpfmt -f <device>

Although this mentions using dump-dedicated devices, it leaves it unclear as to
whether devices that are used for both swapping and dumping should also be
formatted in this way (they shouldn't).

This causes confusion & gives the impression that shared swap/dump devices don't
work when in fact they are fine.

 
Version-Release number of selected component (if applicable):
diskdumputils-1.3.25-1

How reproducible:
100%

Steps to Reproduce:
1. Read /usr/share/doc/diskdumputils-1.3.25/README
  
Actual results:
No exact steps for configuring shared devices are present, nor is there a clear
comment that the diskdumpfmt step is not needed in this case.

Expected results:
Clear instructions for either case.
Comment 1 Bryn M. Reeves 2007-06-26 07:33:52 EDT
Created attachment 157883 [details]
patch clarifying swap usage & fixing typo (swappoff)
Comment 2 RHEL Product and Program Management 2007-11-28 23:18:31 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Takao Indoh 2008-03-19 17:19:02 EDT
Hi Bryn,

Thanks for your patch. I reviewed it and it looks good. I'll include this patch
into new diskdumputils package.

Thanks,
Takao Indoh
Comment 5 Dave Anderson 2008-03-25 11:42:33 EDT
MODIFIED: CVS Tag: diskdumputils-1_4_1-5

Packages can be found here:

  porkchop:/mnt/redhat/brewroot/packages/diskdumputils/1.4.1/5
Comment 9 errata-xmlrpc 2008-07-24 15:35:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0684.html

Note You need to log in before you can comment on or make changes to this bug.